package p06_switch;

import javax.swing.JOptionPane;

public class DzienTygodnia1 {
	/* Instrukcja switch w wersji tradycyjnej (jak w języku C) działa tak:
	 * Program przechodzi do tego case'a, którego wartość pasuje,
	 * i kontynuuje swoje wykonanie aż do końca albo do napotkania instrukcji break.
	 * Gdy nie ma breaków, to wykonują się kolejne case'y aż do końca.
	 */

	public static void main(String[] args) {
		int numer = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia"));
		
		switch (numer) {
		case 1:
			JOptionPane.showMessageDialog(null, "To jest poniedziałek");
		case 2:
			JOptionPane.showMessageDialog(null, "To jest wtorek");
		case 3:
			JOptionPane.showMessageDialog(null, "To jest środa");
		case 4:
			JOptionPane.showMessageDialog(null, "To jest czwartek");
		case 5:
			JOptionPane.showMessageDialog(null, "To jest piątek");
			JOptionPane.showMessageDialog(null, "Weekendu początek");
		case 6:
			JOptionPane.showMessageDialog(null, "To jest sobota");
		case 7:
			JOptionPane.showMessageDialog(null, "To jest niedziela");
		default:
			JOptionPane.showMessageDialog(null, "Niepoprawny numer " + numer, "Błąd", JOptionPane.ERROR_MESSAGE);
		}
		JOptionPane.showMessageDialog(null, "Koniec programu");

	}

}
